%define _name hardware-monitor

Name: gnome-applets-extra-hardware-monitor
Version: 1.2.1
Release: alt1

Summary: Hardware monitor applet for the GNOME panel
Summary (ru_RU.UTF-8): Апплет панели GNOME для показа состояния аппаратуры компьютера
Group: Graphical desktop/GNOME
License: GPL
Url: http://www.cs.auc.dk/~olau/hardware-monitor
Source0: %_name-%version.tar.bz2
#Patch0: %_name-1.2-russian.diff

# Automatically added by buildreq on Fri Dec 24 2004
BuildRequires: ORBit2-devel esound fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgconfmm2-devel libgdbm-devel libglade2-devel libglademm-devel libglibmm-devel libgnome-devel libgnome-keyring libgnome-panel-devel libgnome-vfsmm-devel libgnomecanvas-devel libgnomecanvasmm-devel libgnomemm2-devel libgnomeui-devel libgnomeuimm-devel libgtk+2-devel libgtkmm2-devel libgtop2-devel libpango-devel libpopt-devel libsensors-devel libsigc++2.0-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig xorg-x11-devel xorg-x11-libs

%description
This applet displays various hardware-related information, such as CPU usage, 
memory usage etc. Supports curve graphs, horizontal bar plots, column diagrams, 
textual monitoring and fluctuating flames.

%description -l ru_RU.UTF-8
Апплет панели GNOME, отображающий разнообразную информацию о работе аппаратуры 
компьютера, например загрузку процессора, памяти и т.д.. Поддерживает отображение 
в форме кривых, полос, гистограмм, текста и языков пламени.

%prep
%setup -q -n %_name-%version
#%patch0 -p1

%build
%configure 
%make_build

%install
%makeinstall
%find_lang --with-gnome %_name

%files -f %_name.lang
%_libdir/bonobo/*/*
%_libdir/%_name
%_datadir/%_name
%_datadir/pixmaps/*
%doc AUTHORS README ChangeLog NEWS

%changelog
* Mon Mar 14 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.2.1-alt1
- New version. 

* Fri Dec 24 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.2-alt1
- ALTLinux build
